Load user data from environment variables
=========================================

Synopsis
-------------

.. note::

    | Variable values can be defined directly from an environment variable.
    | 
    | Environnement variable names begin with a prefix (by default `ROUGAIL_`) followed by the variable path in uppercase, for example: `ROUGAIL_MY_VARIABLE`. If you are using namespaces, the prefix is the name of the namespace in uppercase.
    | 
    | Note that variable paths can contain dots ("."), which are not permitted everywhere. To avoid any issues, use the `env` command, for example: `env ROUGAIL_MY_FAMILY.MY_VARIABLE=1 rougail`.
    | 
    | For values, there is no difference between a number and a letter (they can be enclosed in quotes or not). However, booleans are True or False. The separator for multiple variables is a comma.
    | **Disabled**: if environment is not set in "select for user data" (step.user_data).

Parameters
--------------

.. list-table::

   * - Variable
     - Description

   * - **environment.default_environment_name**

       `string <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       --environment.default_environment_name

       **Environment variable**: ROUGAILCLI_ENVIRONMENT.DEFAULT_ENVIRONMENT_NAME
     - Name of the default environment prefix.

       **Validator**: should only use uppercase character

       **Default**: ROUGAIL

   * - **environment.custom_separator**

       `string <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__

       **Command line**: 

       --environment.custom_separator

       **Environment variable**: ROUGAILCLI_ENVIRONMENT.CUSTOM_SEPARATOR
     - Replace the separator character "." in path by an other.

       The character dot (".") may not be allowed in the environment variable name. Note that the variable name with dots is always available in addition to the name with this character.

   * - **environment.with_secrets**

       `boolean <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       

       - --environment.with_secrets

       - --environment.no-with_secrets

       

       **Environment variable**: ROUGAILCLI_ENVIRONMENT.WITH_SECRETS
     - Environnement variables may contain secrets.

       **Default**: true
